CSM API Documentation
API Endpoint
https://example-csm.symplicity.com/api/publicThe CSM API service is designed based on RESTful principles. All responses will be in JSON format and have a response code. Please review the Getting Started page in the Symplicity Developer site to learn how to use the APIs and see instructional videos that cover advanced topics such as custom fields, picklists, and pulling reports.
Call Limits
-
Rate limiting of the API’s are per-token basis. There are three effective rate limiters
-
100 calls with a leak rate of 10 calls per second. If your app averages up to 10 calls per second it will never receive a “429 Rate Limit Exceeded Error”.
-
10,000 calls for a period of 24 hours, which will reset at midnight.
-
1 bulk/batch update call at a time.
-
-
All Responses will consists of 3 rate limiting headers
-
X-Rate-Limit-Limit : Total rate limit for all calls in a day
-
X-Rate-Limit-Remaining : The number of requests left for the day
-
X-Rate-Limit-Reset : Time before the rate limit resets in UTC
-
Authentication
All routes require Authentication header with a word Token followed by an encrypted token. Please contact your Symplicity Help Desk to receive your tokens.
- Authentication Schema
- Token Authentication Header
- Authorization: Token Rj1QOCWLK6vMKoL…cqyfAgYjZoqrh9a9XVmU=
- Token Authentication Header
Restrictions
Only Symplicity customers and third party companies who are official Partners within the Symplicity Partner Program can access API(s).
-
Partner may not use or install the API(s) for any other purpose without Symplicity’s written consent, and may not copy, rent, adapt, disassemble, lease, assign, sublicense, reverse engineer, modify or decompile, the API(s) or any part thereof or attempt to utilize any APIs which are not published for use by members of the Program. Partner may not utilize the APIs to provide data from the APIs to third party applications except those third parties with valid API licenses with Symplicity.
-
Partner may not utilize data provided from a Symplicity API to publish student or user data on any publicly accessible website or within a directory of such students or users or to sell, rent or otherwise provide such student or user data to third parties.
-
Partner may not utilize data provided from a Symplicity API to market or send communications to any student or user of Symplicity products unless Partner has obtained the explicit consent of each such individual in advance of such marketing and communications activity.
Field Types Output Format
-
id (string): The ID of the model. Usually a 32 characters string. Sample: “5576f3049b65ae931e7c751bb90c51be”
-
boolean (boolean): true, false, or null (in cases null is allowed)
-
string (string): Sample: “Foo Bar”. Empty states “”, null allowed.
-
integer (number): Whole number without a decimal point. Sample: 49
-
decimal (string): Number with a decimal point that can not be represented as “floating point” because it requires precision. Sample: “3.61”
-
date (string): Date strings when time is not relevant. Sample: “2017-01-09”
-
time (string): Time strings when date is not relevant. Sample: “14:40:30”
-
datetime (string): Full datetime string in UTC format. Sample: “2017-01-09T14:40:30Z”
-
PickValue (object): Format for our system picklists. NULL if blank. If array of picklist values, [] if blank. Sample: {“id”: “0200”, “label”: “English Literature”}
-
RelationObject (object): short representation of a relational model with id, label and a route link. Sample: {“id”: “fda2e610c637622a808adf8f49d20517”, “label”: “Diane Riemer”, “link”: “/api/public/v1/staff/fda2e610c637622a808adf8f49d20517”}
Required Fields
POST statements must include data for required fields for the object type being created. PUT statements require inclusion of required field data only if the record being updated lacks data for the required field. Error will be presented if required field data is missing.
Configuration Dependent Fields
Certain fields will only be available if the specific instance is configured to support the field. See the individual models and their list of fields for more details.
Custom Fields
Adding customFields=1 parameter to any request adds a customFields array with all custom fields defined on a current instance. When writing to records with custom fields, no special parameters are required.
Custom fields vary by instance. Available custom field names can be found indirectly by using a get statement to pull an object of a given type, or directly by using a fields route documented below and checking the fieldCustom attribute.
Name Parsing
API calls impacting record name fields will be handled as follows. If only fullName is provided, it is parsed to first/middle/lastName. If first/middle/lastName fields are sent, but without full name, the fullName field is constructed. If full/first/middle/lastName are all provided, no parsing/construction occurs. If fullName and only some of the other name fields are provided, the missing name fields will be populated. Error will be presented if name components are not correctly provided. If attempting to PUT any firstName/middleName/lastName fields, it is also necessary to include fullName.
Datetime and filtering
Datetime fields which are presented in UTC have the standard “Z” timezone designation (e.g., 2019-01-09T14:40:30Z). When these fields are used in list filters, a range of two date or datetime strings can be used: ["2019-01-09T14:40:30Z","2019-01-09T15:00:00Z"]. If only a date part of the string is used, the first date in the range is assumed to have the time of “00:00:00”, and the second date in the range “23:59:59” (also in UTC.)
MSE Affiliations
For Multi School Environment instances, the affiliations array indicates the association between the record and the specific schools within the Multi School Environment.
Bulk Requests (Deprecated)
Note: Bulk requests will eventually be replaced by batch requests (see below) which supports processing ten times more records in a payload and improves system performance. Multi-record PUT/POST calls should follow the batch request method.
Adding bulk=1 parameter to a PUT/POST request indicates that the request takes the form of a bulk payload which can include up to 100 records in a single POST/PUT request. The bulk payload is an array of regular request objects. The response to a bulk payload request will contain a responses attribute, which is an array of object responses sequenced in the same order as the objects were presented in the payload. If any payload record updates fail, corresponding objects in the responses array will include errors or messages attribute.
Specific create (POST) bulk records in a payload are identical to regular create requests. Update (PUT) bulk request are different from regular update requests in that id of the record to update is not indicated in the route itself, but rather in each individual request in the array, along with other regular payload fields.
Batch Requests
Adding batch=1 parameter to a PUT/POST request indicates that the request takes the form of a batch payload which can include up to 1,000 records in a single POST/PUT request. The batch payload is an array of regular request objects. The response to a batch payload request will contain a status attribute, which can have a value of pending or processing and a results_url attribute, which is an api route. A GET request to the results_url route returns the current status of the batch request along with an array of responses if the process is complete. There are also className and total attributes similar to list responses.
Specific create (POST) batch records in a payload are identical to regular create requests. Update (PUT) batch request are different from regular update requests in that id of the record to update is not indicated in the route itself, but rather in each individual request in the array, along with other regular payload fields.
Object Fields ¶
Get Object Fields ¶
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"apiField": "name",
"objectType": "employer",
"fieldName": "name",
"fieldLabel": "Organization Name",
"fieldType": "general",
"fieldCustom": false
},
{
"apiField": "customField",
"objectType": "employer",
"fieldName": "custom_field",
"fieldLabel": "Custom Label",
"fieldType": "picklist",
"fieldCustom": true
}
]Get Object FieldsGET/v1/fields/{objectType}
Type of the field indicated here is the internal CSM field type. Public API fields are not always in a one-to-one relationship to their internal counterparts, so some discrepancies are expected.
- objectType
string(required) Example: studentstype of the object to get the data from
Choices:
studentscontactsemployersjobsstaffaddressesfacultycareerfairscounselpronetcareer-outcomesocr-schedulesinfo-sessionsworkshopsexperiential-learningexperiential-learning-work-termemployer-registrationsnetwork-employer-registrationscalendar-events
Employer ¶
Employers are the recruiting organizations within a CSM system. Employers have a profile presence in the system, and various record types tie back to the employer. For instance, jobs are tied to employers in the system. Each organization can have one or more contacts in the system who are the system users who manage the organization’s recruiting activities.
Employer ¶
Headers
Content-Type: application/json;charset=UTF-8Body
{
"page": 1,
"perPage": 20,
"total": 100,
"className": "employer",
"models": [
{
"id": "abc123",
"label": "",
"name": "",
"description": "",
"alias": "",
"importedId": "",
"taxId": "",
"type": {
"id": "abc123",
"label": "Display Label"
},
"parent": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"primaryContact": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": "",
"website": "",
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": "2017-01-09T14:40:30Z"
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"page": {
"type": "number",
"description": "Page returned"
},
"perPage": {
"type": "number",
"description": "Number of responses to returned per Page"
},
"total": {
"type": "number",
"description": "Total responses"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"models": {
"type": "array"
}
}
}List EmployersGET/v1/employers{?keywords,active,lastModified,customFields,page,perPage,sort}
- keywords
string(optional)Filter collection by keywords.
- active
number(optional)Filter Active Employers. Active Employers have current job postings or interview schedules.
- lastModified
array(optional) Example: ["2020-11-22","2021-11-21"]Filter collection by Last Modified.
- page
number(optional) Example: 1Page number of the collection.
- perPage
number(optional) Default: 20 Example: 10Maximum number of records to return, up to 500.
- sort
string(optional) Example: nameName of field to sort by in ascending order. Prepend ! to field name for descending sort.
- customFields
number(optional)Set to 1 to add an array of custom fields/values to output
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"name": string,
"description": string,
"alias": string,
"importedId": string,
"taxId": string,
"type": {
"id": "abc123",
"label": "Display Label"
},
"parent": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"primaryContact": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": string,
"website": string,
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"name": {
"type": "string",
"description": "Name"
},
"description": {
"type": "string",
"description": "Description"
},
"alias": {
"type": "string",
"description": "Alias"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"taxId": {
"type": "string",
"description": "Tax ID"
},
"type": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Type. Available only on a Symplicity Recruit Network Instance"
},
"parent": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Parent"
},
"primaryContact": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Primary Contact"
},
"accountManager": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Manager"
},
"overview": {
"type": "string",
"description": "Overview"
},
"website": {
"type": "string",
"description": "Web Site"
},
"industries": {
"type": "array",
"description": "Industries"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"name",
"primaryContact"
]
}Get EmployerGET/v1/employers/{id}
- id
string(required) Example: 772c21111e8865b1ecc83b999caa4d2aid of the requested record
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "1",
"value": "Agriculture"
},
{
"id": "2",
"value": "Arts & Design"
},
{
"id": "3",
"value": "Information Technology"
},
{
"id": "4",
"value": "Media/Publishing"
},
{
"id": "5",
"value": "Sports/Fitness"
}
]Get Picklist keys and valuesGET/v1/picklists/employers/{field}
Picklist represents all possible pick values for a given field. Some picklists are only available on specific types of CSM instances.
- field
string(required) Example: industriesname of a pick field
Choices:
industriesaccountManagertype
Headers
Content-Type: application/json;charset=UTF-8Body
{
"name": "Symplicity Corporation",
"alias": "Symplicity",
"importedId": "symp300",
"taxId": "67-3841259",
"type": "3",
"parent": "772c21111e8865b1ecc83b999caa4d2a",
"overview": "Symplicity is a cloud-based software platform designed for higher education institutions.",
"website": "http://symplicity.com",
"industries": [
"4"
],
"accountManager": "1",
"address": {
"street": "4040 Wilson Blvd #300",
"city": "Arlington",
"zip": "22203",
"state": "US-VA",
"country": "US"
},
"primaryContact": {
"salutation": "Mr.",
"firstName": "John",
"middleName": "Barry",
"lastName": "Old",
"fullName": "John Barry Old",
"suffix": "Jr.",
"title": "Senior Developer",
"email": "johnbold@test.com",
"importedId": "JBD890",
"types": [
4,
5
],
"phone": "458-990-1356",
"fax": "458-990-1359",
"cellPhone": "202-456-2300",
"website": "https://symplicity.com",
"employerDescription": "The market leader in student experience software",
"services": [
"profile",
"jobs"
],
"blockUserEmails": true,
"blockCampaignEmails": true,
"address": {
"street": "100 Main Street",
"city": "Purceville",
"zip": 20134,
"state": "US-VA",
"country": "US"
}
}
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"name": string,
"description": string,
"alias": string,
"importedId": string,
"taxId": string,
"type": {
"id": "abc123",
"label": "Display Label"
},
"parent": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"primaryContact": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": string,
"website": string,
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"name": {
"type": "string",
"description": "Name"
},
"description": {
"type": "string",
"description": "Description"
},
"alias": {
"type": "string",
"description": "Alias"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"taxId": {
"type": "string",
"description": "Tax ID"
},
"type": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Type. Available only on a Symplicity Recruit Network Instance"
},
"parent": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Parent"
},
"primaryContact": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Primary Contact"
},
"accountManager": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Manager"
},
"overview": {
"type": "string",
"description": "Overview"
},
"website": {
"type": "string",
"description": "Web Site"
},
"industries": {
"type": "array",
"description": "Industries"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"name",
"primaryContact"
]
}Create EmployerPOST/v1/employers
Not all fields returned in GET responses are writable with POST/PUT. The writable fields are indicated in the request body schema.
Headers
Content-Type: application/json;charset=UTF-8Body
{
"name": "Symplicity Corp."
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"name": string,
"description": string,
"alias": string,
"importedId": string,
"taxId": string,
"type": {
"id": "abc123",
"label": "Display Label"
},
"parent": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"primaryContact": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": string,
"website": string,
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"name": {
"type": "string",
"description": "Name"
},
"description": {
"type": "string",
"description": "Description"
},
"alias": {
"type": "string",
"description": "Alias"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"taxId": {
"type": "string",
"description": "Tax ID"
},
"type": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Type. Available only on a Symplicity Recruit Network Instance"
},
"parent": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Parent"
},
"primaryContact": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Primary Contact"
},
"accountManager": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Manager"
},
"overview": {
"type": "string",
"description": "Overview"
},
"website": {
"type": "string",
"description": "Web Site"
},
"industries": {
"type": "array",
"description": "Industries"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"name",
"primaryContact"
]
}Update EmployerPUT/v1/employers/{id}
- id
string(required) Example: abc123id of the record to update
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"name": "Acme, Inc.",
"importedId": "def456",
"taxId": "67-3841259",
"primaryContact": {
"firstName": "Mary",
"middleName": "Jane",
"lastName": "New",
"title": "Office Manager",
"email": "maryjnew@test.com"
},
"overview": "Acme Incorporated...",
"type": "1",
"accountManager": "1"
},
{
"name": "Employer with missing fields"
}
]Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": string,
"total": 1,
"className": string,
"results_url": "/api/v1/batch/abc123"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"results_url": {
"type": "string",
"description": "api route with status and results of the batch"
}
}
}Batch Create EmployersPOST/v1/employers?batch=1
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": "",
"total": 0,
"className": "",
"responses": [
{
"id": "abc123",
"label": "",
"name": "",
"description": "",
"alias": "",
"importedId": "",
"taxId": "",
"type": {
"id": "abc123",
"label": "Display Label"
},
"parent": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"primaryContact": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": "",
"website": "",
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": "2017-01-09T14:40:30Z"
},
{
"errors": {
"field_errors": {}
}
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, completed, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"responses": {
"type": "array"
}
}
}Batch Update ResultsGET/v1/batch/{id}
- id
string(required) Example: abc123id of the batch request
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "abc123",
"name": "Symplicity Corporation"
},
{
"id": "def456",
"name": "Acme Incorporated"
}
]Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": string,
"total": 1,
"className": string,
"results_url": "/api/v1/batch/abc123"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"results_url": {
"type": "string",
"description": "api route with status and results of the batch"
}
}
}Batch Update EmployersPUT/v1/employers?batch=1
Employer Registration ¶
Employer Registrations are new contact/employer account requests that are pending administrative access approval. Note, CSM systems can be configured to automatically approve incoming contact/employer account registrations.
Employer Registration ¶
Headers
Content-Type: application/json;charset=UTF-8Body
{
"page": 1,
"perPage": 20,
"total": 100,
"className": "employer_registration",
"models": [
{
"id": "abc123",
"label": "",
"name": "",
"description": "",
"alias": "",
"importedId": "",
"taxId": "",
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"lastModified": "2017-01-09T14:40:30Z"
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"page": {
"type": "number",
"description": "Page returned"
},
"perPage": {
"type": "number",
"description": "Number of responses to returned per Page"
},
"total": {
"type": "number",
"description": "Total responses"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"models": {
"type": "array"
}
}
}List Employer RegistrationsGET/v1/employer-registrations{?keywords,lastModified,customFields,page,perPage,sort}
- keywords
string(optional)Filter collection by keywords.
- lastModified
array(optional) Example: ["2020-11-22","2021-11-21"]Filter collection by Last Modified.
- page
number(optional) Example: 1Page number of the collection.
- perPage
number(optional) Default: 20 Example: 10Maximum number of records to return, up to 500.
- sort
string(optional) Example: nameName of field to sort by in ascending order. Prepend ! to field name for descending sort.
- customFields
number(optional)Set to 1 to add an array of custom fields/values to output
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"name": string,
"description": string,
"alias": string,
"importedId": string,
"taxId": string,
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"name": {
"type": "string",
"description": "Name"
},
"description": {
"type": "string",
"description": "Description"
},
"alias": {
"type": "string",
"description": "Alias"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"taxId": {
"type": "string",
"description": "Tax ID"
},
"types": {
"type": "array",
"description": "Types"
},
"accountManager": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Manager"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"name"
]
}Get Employer RegistrationGET/v1/employer-registrations/{id}
- id
string(required) Example: abc123id of the requested record
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": 1,
"value": "Staff"
},
{
"id": 2,
"value": "Alumnus"
},
{
"id": 3,
"value": "Recruiter"
},
{
"id": 4,
"value": "Teacher / Employee"
},
{
"id": 5,
"value": "Sponsor"
}
]Get Picklist keys and valuesGET/v1/picklists/employer-registrations/{field}
Picklist represents all possible pick values for a given field. Some picklists are only available on specific types of CSM instances.
- field
string(required) Example: typesname of a pick field
Choices:
typesaccountManager
Network Employer Registrations ¶
CSM instances can be set up to integrate with a variety of employer centered recruiting networks (e.g., Symplicity Recruit, CareerHub-Australia, CareerHub-UK, etc.). As employers within these recruiting networks want to begin recruiting at a CSM, a Network Registration (Employer/Contact) record is created at the targetted CSM instance. This API route allows the partner networks to send new network employers/contacts to CSM instances. CSM’s settings determine the network registration record’s approval status when received. Some schools choose to automatically approve these accounts, others review each registration.
Network Employer Registrations ¶
Headers
Content-Type: application/json;charset=UTF-8Body
{
"page": 1,
"perPage": 20,
"total": 100,
"className": "contact",
"models": [
{
"id": "abc123",
"label": "",
"fullName": "",
"firstName": "",
"middleName": "",
"lastName": "",
"salutation": "",
"title": "",
"suffix": "",
"email": "",
"importedId": "",
"phone": "",
"cellPhone": "",
"fax": "",
"website": "",
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"arpAccount": "",
"employer": {
"id": "abc123",
"label": "",
"name": "",
"description": "",
"alias": "",
"importedId": "",
"taxId": "",
"type": {
"id": "abc123",
"label": "Display Label"
},
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": "",
"website": "",
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"jobBannerImage": "",
"hideFromStudents": false,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": "2017-01-09T14:40:30Z"
},
"lastModified": "2017-01-09T14:40:30Z"
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"page": {
"type": "number",
"description": "Page returned"
},
"perPage": {
"type": "number",
"description": "Number of responses to returned per Page"
},
"total": {
"type": "number",
"description": "Total responses"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"models": {
"type": "array"
}
}
}List Network Employer RegistrationsGET/v1/network-employer-registrations{?keywords,network,lastModified,employerTaxId,employerImportedId,page,perPage,sort}
- keywords
string(optional)Filter collection by keywords.
- network
string(optional)Filter collection by network.
- lastModified
array(optional) Example: ["2020-11-22","2021-11-21"]Filter collection by Last Modified.
- employerTaxId
string(optional) Example: 705713639Filter collection by Employer Tax ID.
- employerImportedId
string(optional) Example: AX3456005Filter collection by Employer Imported ID.
- page
number(optional) Example: 1Page number of the collection.
- perPage
number(optional) Default: 20 Example: 10Maximum number of records to return, up to 500.
- sort
string(optional) Example: fullNameName of field to sort by in ascending order. Prepend ! to field name for descending sort.
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"salutation": string,
"title": string,
"suffix": string,
"email": string,
"importedId": string,
"phone": string,
"cellPhone": string,
"fax": string,
"website": string,
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"arpAccount": string,
"employer": {
"id": "abc123",
"label": string,
"name": string,
"description": string,
"alias": string,
"importedId": string,
"taxId": string,
"type": {
"id": "abc123",
"label": "Display Label"
},
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": string,
"website": string,
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"jobBannerImage": string,
"hideFromStudents": true,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": string
},
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"salutation": {
"type": "string",
"description": "Salutation"
},
"title": {
"type": "string",
"description": "Title"
},
"suffix": {
"type": "string",
"description": "Suffix"
},
"email": {
"type": "string",
"description": "Email"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"phone": {
"type": "string",
"description": "Phone"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"fax": {
"type": "string",
"description": "Fax"
},
"website": {
"type": "string",
"description": "Web Site"
},
"types": {
"type": "array",
"description": "Contact Types"
},
"network": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network"
},
"networkStatus": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network Status"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"services": {
"type": "array",
"description": "Services"
},
"arpAccount": {
"type": "string",
"description": "ARP Account. Available only on a Symplicity Recruit Network Instance"
},
"employer": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"name": {
"type": "string",
"description": "Name"
},
"description": {
"type": "string",
"description": "Description"
},
"alias": {
"type": "string",
"description": "Alias"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"taxId": {
"type": "string",
"description": "Tax ID"
},
"type": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Type. Available only on a Symplicity Recruit Network Instance"
},
"network": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network"
},
"networkStatus": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network Status"
},
"accountManager": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Manager"
},
"overview": {
"type": "string",
"description": "Overview"
},
"website": {
"type": "string",
"description": "Web Site"
},
"industries": {
"type": "array",
"description": "Industries"
},
"jobBannerImage": {
"type": "string",
"description": "Job Banner Image. Available only on a Symplicity Recruit Network Instance"
},
"hideFromStudents": {
"type": "boolean",
"description": "Hide from Students"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"name"
],
"description": "Employer"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email",
"employer"
]
}Get Network Employer RegistrationGET/v1/network-employer-registrations/{id}
- id
string(required) Example: 999networkcontact000333bbb444dddid of the requested record
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "recruit",
"value": "Symplicity Recruit"
}
]Get Picklist keys and valuesGET/v1/picklists/network-employer-registrations/{field}
Picklist represents all possible pick values for a given field. Some picklists are only available on specific types of CSM instances.
- field
string(required) Example: networkname of a pick field
Choices:
affiliationsnetworknetworkStatustypesservices
Headers
Content-Type: application/json;charset=UTF-8Body
{
"salutation": "Ms.",
"firstName": "Natalie",
"middleName": "Sue",
"lastName": "Reggie",
"fullName": "Natalie Sue Reggie",
"suffix": "Jr.",
"title": "Executive Director",
"email": "natreggie3@test.com",
"phone": "248-762-0356",
"cellPhone": "703-762-0356",
"fax": "248-762-0357",
"importedId": "NSR56",
"network": "recruit",
"arpAccount": "OS-997",
"website": "https://www.test.com",
"types": [
2,
5
],
"services": [
"jobs",
"alum",
"cf"
],
"affiliations": [
"MNC-CSM"
],
"employer": {
"name": "Network Corp",
"alias": "NetWork",
"importedId": "JKL812",
"taxId": "712-3456789",
"type": "3",
"description": "Network Registration Employer",
"overview": "Network Registration Employer Profile",
"website": "https://www.test.com",
"industries": [
"4"
],
"accountManager": "1",
"address": {
"street": "3003 Wilson Blvd",
"city": "Arlington",
"zip": "22202",
"state": "US-VA",
"country": "US"
}
}
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"salutation": string,
"title": string,
"suffix": string,
"email": string,
"importedId": string,
"phone": string,
"cellPhone": string,
"fax": string,
"website": string,
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"arpAccount": string,
"employer": {
"id": "abc123",
"label": string,
"name": string,
"description": string,
"alias": string,
"importedId": string,
"taxId": string,
"type": {
"id": "abc123",
"label": "Display Label"
},
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": string,
"website": string,
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"jobBannerImage": string,
"hideFromStudents": true,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": string
},
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"salutation": {
"type": "string",
"description": "Salutation"
},
"title": {
"type": "string",
"description": "Title"
},
"suffix": {
"type": "string",
"description": "Suffix"
},
"email": {
"type": "string",
"description": "Email"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"phone": {
"type": "string",
"description": "Phone"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"fax": {
"type": "string",
"description": "Fax"
},
"website": {
"type": "string",
"description": "Web Site"
},
"types": {
"type": "array",
"description": "Contact Types"
},
"network": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network"
},
"networkStatus": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network Status"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"services": {
"type": "array",
"description": "Services"
},
"arpAccount": {
"type": "string",
"description": "ARP Account. Available only on a Symplicity Recruit Network Instance"
},
"employer": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"name": {
"type": "string",
"description": "Name"
},
"description": {
"type": "string",
"description": "Description"
},
"alias": {
"type": "string",
"description": "Alias"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"taxId": {
"type": "string",
"description": "Tax ID"
},
"type": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Type. Available only on a Symplicity Recruit Network Instance"
},
"network": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network"
},
"networkStatus": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Network Status"
},
"accountManager": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Manager"
},
"overview": {
"type": "string",
"description": "Overview"
},
"website": {
"type": "string",
"description": "Web Site"
},
"industries": {
"type": "array",
"description": "Industries"
},
"jobBannerImage": {
"type": "string",
"description": "Job Banner Image. Available only on a Symplicity Recruit Network Instance"
},
"hideFromStudents": {
"type": "boolean",
"description": "Hide from Students"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"name"
],
"description": "Employer"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email",
"employer"
]
}Create Network Employer RegistrationPOST/v1/network-employer-registrations
Not all fields returned in GET responses are writable with POST/PUT. The writable fields are indicated in the request body schema.
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"fullName": "Nathaniel Reggie",
"firstName": "Nathaniel",
"lastName": "Reggie",
"email": "nreggie@vox.com",
"employer": {
"name": "NetReg Corp.",
"alias": "NetReg",
"importedId": "9990021",
"type": "3",
"description": "Network Registration Employer",
"overview": "Network Registration Employer Profile",
"website": "http://netreg.com",
"industries": [
"4"
],
"accountManager": "1"
}
},
{
"name": "Employer with missing fields"
}
]Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": string,
"total": 1,
"className": string,
"results_url": "/api/v1/batch/abc123"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"results_url": {
"type": "string",
"description": "api route with status and results of the batch"
}
}
}Batch Create Network Employer RegistrationsPOST/v1/network-employer-registrations?batch=1
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": "",
"total": 0,
"className": "",
"responses": [
{
"id": "abc123",
"label": "",
"fullName": "",
"firstName": "",
"middleName": "",
"lastName": "",
"salutation": "",
"title": "",
"suffix": "",
"email": "",
"importedId": "",
"phone": "",
"cellPhone": "",
"fax": "",
"website": "",
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"arpAccount": "",
"employer": {
"id": "abc123",
"label": "",
"name": "",
"description": "",
"alias": "",
"importedId": "",
"taxId": "",
"type": {
"id": "abc123",
"label": "Display Label"
},
"network": {
"id": "abc123",
"label": "Display Label"
},
"networkStatus": {
"id": "abc123",
"label": "Display Label"
},
"accountManager": {
"id": "abc123",
"label": "Display Label"
},
"overview": "",
"website": "",
"industries": [
{
"id": "abc123",
"label": "Display Label"
}
],
"jobBannerImage": "",
"hideFromStudents": false,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"lastModified": "2017-01-09T14:40:30Z"
},
"lastModified": "2017-01-09T14:40:30Z"
},
{
"errors": {
"field_errors": {}
}
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, completed, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"responses": {
"type": "array"
}
}
}Batch Create ResultsGET/v1/batch/{id}
- id
string(required) Example: abc123id of the batch request
Contact ¶
Contacts are related to Employers and are individual system users who manage recruiting activities on behalf of a recruiting organization. These individuals do the actual coordination of specific recruiting activities (i.e., manage job postings, campus interviews, information sessions, fair registrations, review resume books, etc.). Contacts have user rights that determine what activities/access they will have within a CSM. One of the recruiting contacts can be designated as “primary contact” for the Employer.
Contact ¶
Headers
Content-Type: application/json;charset=UTF-8Body
{
"page": 1,
"perPage": 20,
"total": 100,
"className": "contact",
"models": [
{
"id": "abc123",
"label": "",
"fullName": "",
"firstName": "",
"middleName": "",
"lastName": "",
"salutation": "",
"suffix": "",
"title": "",
"email": "",
"importedId": "",
"phone": "",
"cellPhone": "",
"fax": "",
"website": "",
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"autoApproveJobs": false,
"blockUserEmails": false,
"blockCampaignEmails": false,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"employer": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"employerDescription": "",
"lastModified": "2017-01-09T14:40:30Z"
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"page": {
"type": "number",
"description": "Page returned"
},
"perPage": {
"type": "number",
"description": "Number of responses to returned per Page"
},
"total": {
"type": "number",
"description": "Total responses"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"models": {
"type": "array"
}
}
}List ContactsGET/v1/contacts{?keywords,lastModified,customFields,page,perPage,sort}
- keywords
string(optional)Filter collection by keywords.
- lastModified
array(optional) Example: ["2020-11-22","2021-11-21"]Filter collection by Last Modified.
- page
number(optional) Example: 1Page number of the collection.
- perPage
number(optional) Default: 20 Example: 10Maximum number of records to return, up to 500.
- sort
string(optional) Example: titleName of field to sort by in ascending order. Prepend ! to field name for descending sort.
- customFields
number(optional)Set to 1 to add an array of custom fields/values to output
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"salutation": string,
"suffix": string,
"title": string,
"email": string,
"importedId": string,
"phone": string,
"cellPhone": string,
"fax": string,
"website": string,
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"autoApproveJobs": true,
"blockUserEmails": true,
"blockCampaignEmails": true,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"employer": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"employerDescription": string,
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"salutation": {
"type": "string",
"description": "Salutation"
},
"suffix": {
"type": "string",
"description": "Suffix"
},
"title": {
"type": "string",
"description": "Title"
},
"email": {
"type": "string",
"description": "Email"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"phone": {
"type": "string",
"description": "Phone"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"fax": {
"type": "string",
"description": "Fax"
},
"website": {
"type": "string",
"description": "Web Site"
},
"types": {
"type": "array",
"description": "Contact Types"
},
"autoApproveJobs": {
"type": "boolean",
"description": "Auto Approve Job Postings"
},
"blockUserEmails": {
"type": "boolean",
"description": "Block User Emails"
},
"blockCampaignEmails": {
"type": "boolean",
"description": "Block Campaign Emails"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"services": {
"type": "array",
"description": "Services"
},
"proNetProfile": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Professional Network Mentor Profile. Available only if instance uses Professional Network module"
},
"affiliations": {
"type": "array",
"description": "Affiliations. Available only on an Multi School Environment (MSE) instance"
},
"employer": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Employer"
},
"employerDescription": {
"type": "string",
"description": "Employer Description"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email",
"employer"
]
}Get ContactGET/v1/contacts/{id}
- id
string(required) Example: 4669947417456f3ecb8707a13f6325c9id of the requested record
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "jobs",
"value": "Job Postings"
},
{
"id": "profile",
"value": "Profile"
},
{
"id": "cf",
"value": "Career Fair"
},
{
"id": "pres",
"value": "Information Sessions"
},
{
"id": "explearning",
"value": "Experiential Learning"
}
]Get Picklist keys and valuesGET/v1/picklists/contacts/{field}
Picklist represents all possible pick values for a given field. Some picklists are only available on specific types of CSM instances.
- field
string(required) Example: servicesname of a pick field
Choices:
servicesaffiliationstypes
Headers
Content-Type: application/json;charset=UTF-8Body
{
"firstName": "Theresa",
"middleName": "Mary",
"lastName": "James",
"fullName": "Theresa Mary James",
"email": "tmjames@test.com",
"importedId": "5AJ480Z",
"salutation": "Mrs",
"title": "Clerk",
"suffix": "Jr.",
"phone": "458-990-1356",
"fax": "458-990-1359",
"cellPhone": "202-456-2300",
"types": [
4,
5
],
"website": "https://symplicity.com",
"employer": "e880828b7cee4f01be76ab11e7e32166",
"employerDescription": "Your first choice for green foods home delivery",
"services": [
"profile",
"jobs"
],
"autoApproveJobs": false,
"blockUserEmails": false,
"blockCampaignEmails": false,
"address": {
"street": "320 W School St",
"city": "Purcellville",
"state": "US-VA",
"zip": 20132,
"country": "US"
}
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"salutation": string,
"suffix": string,
"title": string,
"email": string,
"importedId": string,
"phone": string,
"cellPhone": string,
"fax": string,
"website": string,
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"autoApproveJobs": true,
"blockUserEmails": true,
"blockCampaignEmails": true,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"employer": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"employerDescription": string,
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"salutation": {
"type": "string",
"description": "Salutation"
},
"suffix": {
"type": "string",
"description": "Suffix"
},
"title": {
"type": "string",
"description": "Title"
},
"email": {
"type": "string",
"description": "Email"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"phone": {
"type": "string",
"description": "Phone"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"fax": {
"type": "string",
"description": "Fax"
},
"website": {
"type": "string",
"description": "Web Site"
},
"types": {
"type": "array",
"description": "Contact Types"
},
"autoApproveJobs": {
"type": "boolean",
"description": "Auto Approve Job Postings"
},
"blockUserEmails": {
"type": "boolean",
"description": "Block User Emails"
},
"blockCampaignEmails": {
"type": "boolean",
"description": "Block Campaign Emails"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"services": {
"type": "array",
"description": "Services"
},
"proNetProfile": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Professional Network Mentor Profile. Available only if instance uses Professional Network module"
},
"affiliations": {
"type": "array",
"description": "Affiliations. Available only on an Multi School Environment (MSE) instance"
},
"employer": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Employer"
},
"employerDescription": {
"type": "string",
"description": "Employer Description"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email",
"employer"
]
}Create ContactPOST/v1/contacts
Not all fields returned in GET responses are writable with POST/PUT. The writable fields are indicated in the request body schema.
Headers
Content-Type: application/json;charset=UTF-8Body
{
"title": "Director"
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": "",
"fullName": "Theresa Mary James",
"firstName": "Theresa",
"middleName": "Mary",
"lastName": "James",
"salutation": "",
"suffix": "",
"title": "Director",
"email": "tmjames@test.com",
"importedId": "",
"phone": "",
"cellPhone": "",
"fax": "",
"website": "",
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"autoApproveJobs": false,
"blockUserEmails": false,
"blockCampaignEmails": false,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"employer": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"employerDescription": "",
"lastModified": "2017-01-09T14:40:30Z"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"salutation": {
"type": "string",
"description": "Salutation"
},
"suffix": {
"type": "string",
"description": "Suffix"
},
"title": {
"type": "string",
"description": "Title"
},
"email": {
"type": "string",
"description": "Email"
},
"importedId": {
"type": "string",
"description": "Imported ID"
},
"phone": {
"type": "string",
"description": "Phone"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"fax": {
"type": "string",
"description": "Fax"
},
"website": {
"type": "string",
"description": "Web Site"
},
"types": {
"type": "array",
"description": "Contact Types"
},
"autoApproveJobs": {
"type": "boolean",
"description": "Auto Approve Job Postings"
},
"blockUserEmails": {
"type": "boolean",
"description": "Block User Emails"
},
"blockCampaignEmails": {
"type": "boolean",
"description": "Block Campaign Emails"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Address"
},
"services": {
"type": "array",
"description": "Services"
},
"proNetProfile": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Professional Network Mentor Profile. Available only if instance uses Professional Network module"
},
"affiliations": {
"type": "array",
"description": "Affiliations. Available only on an Multi School Environment (MSE) instance"
},
"employer": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Employer"
},
"employerDescription": {
"type": "string",
"description": "Employer Description"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email",
"employer"
]
}Update ContactPUT/v1/contacts/{id}
- id
string(required) Example: abc123id of the record to update
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"firstName": "Rachel",
"middleName": "Boven",
"lastName": "New",
"title": "Director",
"email": "rbnew@test.com",
"employer": "e880828b7cee4f01be76ab11e7e32166"
},
{
"firstName": "Contact with missing fields"
}
]Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": string,
"total": 1,
"className": string,
"results_url": "/api/v1/batch/abc123"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"results_url": {
"type": "string",
"description": "api route with status and results of the batch"
}
}
}Batch Create ContactsPOST/v1/contacts?batch=1
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": "",
"total": 0,
"className": "",
"responses": [
{
"id": "abc123",
"label": "",
"fullName": "",
"firstName": "",
"middleName": "",
"lastName": "",
"salutation": "",
"suffix": "",
"title": "",
"email": "",
"importedId": "",
"phone": "",
"cellPhone": "",
"fax": "",
"website": "",
"types": [
{
"id": "abc123",
"label": "Display Label"
}
],
"autoApproveJobs": false,
"blockUserEmails": false,
"blockCampaignEmails": false,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"services": [
{
"id": "abc123",
"label": "Display Label"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"employer": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"employerDescription": "",
"lastModified": "2017-01-09T14:40:30Z"
},
{
"errors": {
"field_errors": {}
}
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, completed, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"responses": {
"type": "array"
}
}
}Batch Create ResultsGET/v1/batch/{id}
- id
string(required) Example: abc123id of the batch request
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "abc123",
"title": "Manager"
},
{
"id": "def456",
"name": "Associate"
}
]Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"status": string,
"total": 1,
"className": string,
"results_url": "/api/v1/batch/abc123"
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the batch"
},
"status": {
"type": "string",
"description": "pending, processing, or error"
},
"total": {
"type": "number",
"description": "number of records in the batch"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"results_url": {
"type": "string",
"description": "api route with status and results of the batch"
}
}
}Batch Update ContactsPUT/v1/contacts?batch=1
Student ¶
Students are the users within a CSM who are being coached about careers by the school and are being recruited by Employers. These users would respond to job postings, attend Employers’ recruiting events, post resumes for inclusion in resume books, and attend other career center events. Students have user rights that determine what activities/access they will have within a CSM.
Systems can optionally be configured to allow for multiple selections for student work authorization(s). If the school has done so, then array format applies. Put/Post statements that are incorrectly formatted will be advised of “Invalid entry”.
CSM supports two degree structures: single and multiple degree/award.
Single Degree/Award
Most schools maintain one academic record per student, including major(s), minor(s), GPA, and graduation date tied to a single degree (Bachelor’s, Master’s, etc.).
API behavior: Full read/write access to all standard and custom fields via a single form.
Multiple Degree/Award
Some schools allow concurrent degree pursuits with distinct majors, minors, schools/colleges, GPAs, and graduation dates for each degree.
API behavior: Degrees are managed as array records. Full read/write access is available.
Requirements when writing degree arrays:
-
Include all degrees: Always include the entire array of degrees, even unchanged degrees.
-
Designate one primary degree: Set one degree’s “primary” field to TRUE. If omitted, the system auto-assigns one, but accuracy cannot be guaranteed.
-
Match degrees using IDs: Use the degree’s Object ID or Visual ID to update existing degrees. Without an ID, a new degree is created with an auto-assigned Visual ID.
-
Respect degree limits: System configuration determines the maximum degrees allowed per student.
Student ¶
Headers
Content-Type: application/json;charset=UTF-8Body
{
"page": 1,
"perPage": 20,
"total": 100,
"className": "student",
"models": [
{
"id": "abc123",
"label": "",
"schoolStudentId": "",
"fullName": "",
"firstName": "",
"middleName": "",
"lastName": "",
"preferredName": "",
"gender": {
"id": "abc123",
"label": "Display Label"
},
"username": "",
"email": "",
"permanentEmail": "",
"phone": "",
"birthdate": "2017-01-09",
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"permanentAddress": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"alum": false,
"accountDisabled": false,
"accountBlocked": {
"id": "abc123",
"label": "Display Label"
},
"counselors": [
{
"id": "abc123",
"label": "Display Label",
"link": "href"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"certificates": [
{
"id": "abc123",
"label": "Display Label"
}
],
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"degreeLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": "2017-01-09",
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"gpa": "1.23",
"workAuthorization": {
"id": "abc123",
"label": "Display Label"
},
"degrees": [
{
"primary": false,
"visualId": "",
"type": "",
"award": {
"id": "abc123",
"label": "Display Label"
},
"mode": {
"id": "abc123",
"label": "Display Label"
},
"level": {
"id": "abc123",
"label": "Display Label"
},
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": "2017-01-09",
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"campus": [
{
"id": "abc123",
"label": "Display Label"
}
]
}
],
"programType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"applicantType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"status": [
{
"id": "abc123",
"label": "Display Label"
}
],
"languageProficiencies": [
{
"id": "abc123",
"label": "Display Label"
}
],
"geographicPreferences": [
{
"id": "abc123",
"label": "Display Label"
}
],
"rights": [
{
"id": "abc123",
"label": "Display Label"
}
],
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"lastLogin": "2017-01-09T14:40:30Z",
"hasApprovedResume": false,
"advocateIncidentHistory": false,
"advocateCareHistory": false,
"accommodateAccessibility": false,
"lastModified": "2017-01-09T14:40:30Z"
}
]
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"page": {
"type": "number",
"description": "Page returned"
},
"perPage": {
"type": "number",
"description": "Number of responses to returned per Page"
},
"total": {
"type": "number",
"description": "Total responses"
},
"className": {
"type": "string",
"description": "name of the backend data record type"
},
"models": {
"type": "array"
}
}
}List StudentsGET/v1/students{?keywords,lastModified,customFields,page,perPage,sort}
- keywords
string(optional)Filter collection by keywords.
- lastModified
array(optional) Example: ["2020-11-22","2021-11-21"]Filter collection by Last Modified.
- page
number(optional) Example: 1Page number of the collection.
- perPage
number(optional) Default: 20 Example: 10Maximum number of records to return, up to 500.
- sort
string(optional) Example: birthdateName of field to sort by in ascending order. Prepend ! to field name for descending sort.
- customFields
number(optional)Set to 1 to add an array of custom fields/values to output
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"schoolStudentId": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"preferredName": string,
"gender": {
"id": "abc123",
"label": "Display Label"
},
"username": string,
"email": string,
"permanentEmail": string,
"phone": string,
"birthdate": string,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"permanentAddress": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"alum": true,
"accountDisabled": true,
"accountBlocked": {
"id": "abc123",
"label": "Display Label"
},
"counselors": [
{
"id": "abc123",
"label": "Display Label",
"link": "href"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"certificates": [
{
"id": "abc123",
"label": "Display Label"
}
],
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"degreeLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"gpa": string,
"workAuthorization": {
"id": "abc123",
"label": "Display Label"
},
"degrees": [
{
"primary": true,
"visualId": string,
"type": string,
"award": {
"id": "abc123",
"label": "Display Label"
},
"mode": {
"id": "abc123",
"label": "Display Label"
},
"level": {
"id": "abc123",
"label": "Display Label"
},
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"campus": [
{
"id": "abc123",
"label": "Display Label"
}
]
}
],
"programType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"applicantType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"status": [
{
"id": "abc123",
"label": "Display Label"
}
],
"languageProficiencies": [
{
"id": "abc123",
"label": "Display Label"
}
],
"geographicPreferences": [
{
"id": "abc123",
"label": "Display Label"
}
],
"rights": [
{
"id": "abc123",
"label": "Display Label"
}
],
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"lastLogin": string,
"hasApprovedResume": true,
"advocateIncidentHistory": true,
"advocateCareHistory": true,
"accommodateAccessibility": true,
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"schoolStudentId": {
"type": "string",
"description": "School ID"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"preferredName": {
"type": "string",
"description": "Preferred Name"
},
"gender": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Gender"
},
"username": {
"type": "string",
"description": "Username"
},
"email": {
"type": "string",
"description": "Email"
},
"permanentEmail": {
"type": "string",
"description": "Permanent Email"
},
"phone": {
"type": "string",
"description": "Phone"
},
"birthdate": {
"type": "string",
"description": "Birth Date"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "School Address"
},
"permanentAddress": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Permanent Address"
},
"alum": {
"type": "boolean",
"description": "Alumni"
},
"accountDisabled": {
"type": "boolean",
"description": "Account Disabled"
},
"accountBlocked": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Blocked"
},
"counselors": {
"type": "array",
"description": "Counselors. Available only if instance uses Career Counseling module and the System Setting \"Activate Counseling Module\" is ON"
},
"proNetProfile": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Professional Network Mentor Profile. Available only if instance uses Professional Network module"
},
"majors": {
"type": "array",
"description": "Majors (known as Practice Areas for Law Schools)"
},
"minors": {
"type": "array",
"description": "Minors"
},
"certificates": {
"type": "array",
"description": "Certificates"
},
"schools": {
"type": "array",
"description": "Schools"
},
"degreeLevel": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Degree Level"
},
"graduationDate": {
"type": "string",
"description": "Graduation Date"
},
"classLevel": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Class Level"
},
"gpa": {
"type": "string",
"description": "GPA"
},
"workAuthorization": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Work Authorization"
},
"degrees": {
"type": "array",
"description": "Degrees. Available only if instance uses the Multiple Degrees/Awards module"
},
"programType": {
"type": "array",
"description": "Program Type"
},
"applicantType": {
"type": "array",
"description": "Applicant Type"
},
"status": {
"type": "array",
"description": "Status"
},
"languageProficiencies": {
"type": "array",
"description": "Language Proficiencies"
},
"geographicPreferences": {
"type": "array",
"description": "Geographic Preferences. Available only on a Law instance"
},
"rights": {
"type": "array",
"description": "Rights"
},
"affiliations": {
"type": "array",
"description": "Affiliations. Available only on an Multi School Environment (MSE) instance"
},
"lastLogin": {
"type": "string",
"description": "Last Login"
},
"hasApprovedResume": {
"type": "boolean",
"description": "Has Approved Resume"
},
"advocateIncidentHistory": {
"type": "boolean",
"description": "Advocate Incident Case History"
},
"advocateCareHistory": {
"type": "boolean",
"description": "Advocate CARE Case History"
},
"accommodateAccessibility": {
"type": "boolean",
"description": "Accommodate Accessibility Case"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email"
]
}Get StudentGET/v1/students/{id}
- id
string(required) Example: abc123id of the requested record
Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"schoolStudentId": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"preferredName": string,
"gender": {
"id": "abc123",
"label": "Display Label"
},
"username": string,
"email": string,
"permanentEmail": string,
"phone": string,
"birthdate": string,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"permanentAddress": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"alum": true,
"accountDisabled": true,
"accountBlocked": {
"id": "abc123",
"label": "Display Label"
},
"counselors": [
{
"id": "abc123",
"label": "Display Label",
"link": "href"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"certificates": [
{
"id": "abc123",
"label": "Display Label"
}
],
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"degreeLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"gpa": string,
"workAuthorization": {
"id": "abc123",
"label": "Display Label"
},
"degrees": [
{
"primary": true,
"visualId": string,
"type": string,
"award": {
"id": "abc123",
"label": "Display Label"
},
"mode": {
"id": "abc123",
"label": "Display Label"
},
"level": {
"id": "abc123",
"label": "Display Label"
},
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"campus": [
{
"id": "abc123",
"label": "Display Label"
}
]
}
],
"programType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"applicantType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"status": [
{
"id": "abc123",
"label": "Display Label"
}
],
"languageProficiencies": [
{
"id": "abc123",
"label": "Display Label"
}
],
"geographicPreferences": [
{
"id": "abc123",
"label": "Display Label"
}
],
"rights": [
{
"id": "abc123",
"label": "Display Label"
}
],
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"lastLogin": string,
"hasApprovedResume": true,
"advocateIncidentHistory": true,
"advocateCareHistory": true,
"accommodateAccessibility": true,
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"schoolStudentId": {
"type": "string",
"description": "School ID"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"preferredName": {
"type": "string",
"description": "Preferred Name"
},
"gender": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Gender"
},
"username": {
"type": "string",
"description": "Username"
},
"email": {
"type": "string",
"description": "Email"
},
"permanentEmail": {
"type": "string",
"description": "Permanent Email"
},
"phone": {
"type": "string",
"description": "Phone"
},
"birthdate": {
"type": "string",
"description": "Birth Date"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "School Address"
},
"permanentAddress": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Permanent Address"
},
"alum": {
"type": "boolean",
"description": "Alumni"
},
"accountDisabled": {
"type": "boolean",
"description": "Account Disabled"
},
"accountBlocked": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Blocked"
},
"counselors": {
"type": "array",
"description": "Counselors. Available only if instance uses Career Counseling module and the System Setting \"Activate Counseling Module\" is ON"
},
"proNetProfile": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Professional Network Mentor Profile. Available only if instance uses Professional Network module"
},
"majors": {
"type": "array",
"description": "Majors (known as Practice Areas for Law Schools)"
},
"minors": {
"type": "array",
"description": "Minors"
},
"certificates": {
"type": "array",
"description": "Certificates"
},
"schools": {
"type": "array",
"description": "Schools"
},
"degreeLevel": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Degree Level"
},
"graduationDate": {
"type": "string",
"description": "Graduation Date"
},
"classLevel": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Class Level"
},
"gpa": {
"type": "string",
"description": "GPA"
},
"workAuthorization": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Work Authorization"
},
"degrees": {
"type": "array",
"description": "Degrees. Available only if instance uses the Multiple Degrees/Awards module"
},
"programType": {
"type": "array",
"description": "Program Type"
},
"applicantType": {
"type": "array",
"description": "Applicant Type"
},
"status": {
"type": "array",
"description": "Status"
},
"languageProficiencies": {
"type": "array",
"description": "Language Proficiencies"
},
"geographicPreferences": {
"type": "array",
"description": "Geographic Preferences. Available only on a Law instance"
},
"rights": {
"type": "array",
"description": "Rights"
},
"affiliations": {
"type": "array",
"description": "Affiliations. Available only on an Multi School Environment (MSE) instance"
},
"lastLogin": {
"type": "string",
"description": "Last Login"
},
"hasApprovedResume": {
"type": "boolean",
"description": "Has Approved Resume"
},
"advocateIncidentHistory": {
"type": "boolean",
"description": "Advocate Incident Case History"
},
"advocateCareHistory": {
"type": "boolean",
"description": "Advocate CARE Case History"
},
"accommodateAccessibility": {
"type": "boolean",
"description": "Accommodate Accessibility Case"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email"
]
}Get Student By School IDGET/v1/students/schoolStudentId/{schoolStudentId}
- schoolStudentId
string(required) Example: ZTAS5559school student id
Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "1",
"value": "Bachelors"
},
{
"id": "2",
"value": "Masters"
},
{
"id": "3",
"value": "Doctorate"
}
]Get Picklist keys and valuesGET/v1/picklists/students/{field}
Picklist represents all possible pick values for a given field. Some picklists are only available on specific types of CSM instances.
- field
string(required) Example: degreeLevelname of a pick field
Choices:
accountBlockedaffiliationsapplicantTypecertificatesclassLevelcounselorsdegreeLevelgendergeographicPreferenceslanguageProficienciesmajorsminorsprogramTyperightsstatusschoolsworkAuthorization
Headers
Content-Type: application/json;charset=UTF-8Body
{
"schoolStudentId": "abc123",
"firstName": "Maria",
"middleName": "Blanca",
"lastName": "Smith",
"fullName": "Maria Blanca Smith",
"preferredName": "Marie",
"username": "mbsmith",
"email": "mbsmith@school.edu",
"permanentEmail": "mbsmith@test.com",
"phone": "456-789-0989",
"birthdate": "1984-09-22",
"gender": "M",
"address": {
"street": "123 Test St.",
"city": "Dallas",
"state": "US-TX",
"zip": 75001,
"country": "US"
},
"permanentAddress": {
"street": "2 Bodh Gaya 824231, Gaya",
"city": "Bodh Gaya",
"state": "IN-BR",
"country": "IN"
},
"advocateIncidentHistory": null,
"advocateCareHistory": null,
"accommodateAccessibility": null,
"alum": false,
"accountDisabled": false,
"accountBlocked": false,
"status": 1,
"counselors": [
"05d3d53e4c06f658bf26f8bb042fec37"
],
"gpa": "3.6",
"majors": [
"0040100"
],
"minors": [
"0080"
],
"classLevel": "1",
"degreeLevel": "1",
"workAuthorization": "1",
"graduationDate": "2021-06-11",
"programType": [
"3"
],
"applicantType": [
"1"
],
"schools": [
"0010"
],
"certificates": [
"0040"
],
"geographicPreferences": [
1,
7,
16
],
"degrees": [
{
"visualId": "82669444",
"primary": true,
"schools": [
"0010"
],
"award": "485",
"type": "Summer",
"mode": 1,
"level": 1,
"majors": [
"0170"
],
"minors": [
"0080"
],
"campus": "4",
"graduationDate": "2027-01-01",
"classLevel": "1"
}
],
"languageProficiencies": [
"ar-lim",
"en-nat"
],
"affiliations": [
"MNC-CSM"
]
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"schoolStudentId": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"preferredName": string,
"gender": {
"id": "abc123",
"label": "Display Label"
},
"username": string,
"email": string,
"permanentEmail": string,
"phone": string,
"birthdate": string,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"permanentAddress": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"alum": true,
"accountDisabled": true,
"accountBlocked": {
"id": "abc123",
"label": "Display Label"
},
"counselors": [
{
"id": "abc123",
"label": "Display Label",
"link": "href"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"certificates": [
{
"id": "abc123",
"label": "Display Label"
}
],
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"degreeLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"gpa": string,
"workAuthorization": {
"id": "abc123",
"label": "Display Label"
},
"degrees": [
{
"primary": true,
"visualId": string,
"type": string,
"award": {
"id": "abc123",
"label": "Display Label"
},
"mode": {
"id": "abc123",
"label": "Display Label"
},
"level": {
"id": "abc123",
"label": "Display Label"
},
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"campus": [
{
"id": "abc123",
"label": "Display Label"
}
]
}
],
"programType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"applicantType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"status": [
{
"id": "abc123",
"label": "Display Label"
}
],
"languageProficiencies": [
{
"id": "abc123",
"label": "Display Label"
}
],
"geographicPreferences": [
{
"id": "abc123",
"label": "Display Label"
}
],
"rights": [
{
"id": "abc123",
"label": "Display Label"
}
],
"affiliations": [
{
"id": "abc123",
"label": "Display Label"
}
],
"lastLogin": string,
"hasApprovedResume": true,
"advocateIncidentHistory": true,
"advocateCareHistory": true,
"accommodateAccessibility": true,
"lastModified": string
}Schema
{
"$schema": "http://json-schema.org/draft-04/schema#",
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "MD5 ID"
},
"label": {
"type": "string",
"description": "Label"
},
"schoolStudentId": {
"type": "string",
"description": "School ID"
},
"fullName": {
"type": "string",
"description": "Full Name"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"middleName": {
"type": "string",
"description": "Middle Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"preferredName": {
"type": "string",
"description": "Preferred Name"
},
"gender": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Gender"
},
"username": {
"type": "string",
"description": "Username"
},
"email": {
"type": "string",
"description": "Email"
},
"permanentEmail": {
"type": "string",
"description": "Permanent Email"
},
"phone": {
"type": "string",
"description": "Phone"
},
"birthdate": {
"type": "string",
"description": "Birth Date"
},
"address": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "School Address"
},
"permanentAddress": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Permanent Address"
},
"alum": {
"type": "boolean",
"description": "Alumni"
},
"accountDisabled": {
"type": "boolean",
"description": "Account Disabled"
},
"accountBlocked": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Account Blocked"
},
"counselors": {
"type": "array",
"description": "Counselors. Available only if instance uses Career Counseling module and the System Setting \"Activate Counseling Module\" is ON"
},
"proNetProfile": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the related record"
},
"label": {
"type": "string",
"description": "label of the related record"
},
"link": {
"type": "string",
"description": "link to the related record"
}
},
"description": "Professional Network Mentor Profile. Available only if instance uses Professional Network module"
},
"majors": {
"type": "array",
"description": "Majors (known as Practice Areas for Law Schools)"
},
"minors": {
"type": "array",
"description": "Minors"
},
"certificates": {
"type": "array",
"description": "Certificates"
},
"schools": {
"type": "array",
"description": "Schools"
},
"degreeLevel": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Degree Level"
},
"graduationDate": {
"type": "string",
"description": "Graduation Date"
},
"classLevel": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Class Level"
},
"gpa": {
"type": "string",
"description": "GPA"
},
"workAuthorization": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "id of the pick value"
},
"label": {
"type": "string",
"description": "label of the pick value"
}
},
"description": "Work Authorization"
},
"degrees": {
"type": "array",
"description": "Degrees. Available only if instance uses the Multiple Degrees/Awards module"
},
"programType": {
"type": "array",
"description": "Program Type"
},
"applicantType": {
"type": "array",
"description": "Applicant Type"
},
"status": {
"type": "array",
"description": "Status"
},
"languageProficiencies": {
"type": "array",
"description": "Language Proficiencies"
},
"geographicPreferences": {
"type": "array",
"description": "Geographic Preferences. Available only on a Law instance"
},
"rights": {
"type": "array",
"description": "Rights"
},
"affiliations": {
"type": "array",
"description": "Affiliations. Available only on an Multi School Environment (MSE) instance"
},
"lastLogin": {
"type": "string",
"description": "Last Login"
},
"hasApprovedResume": {
"type": "boolean",
"description": "Has Approved Resume"
},
"advocateIncidentHistory": {
"type": "boolean",
"description": "Advocate Incident Case History"
},
"advocateCareHistory": {
"type": "boolean",
"description": "Advocate CARE Case History"
},
"accommodateAccessibility": {
"type": "boolean",
"description": "Accommodate Accessibility Case"
},
"lastModified": {
"type": "string",
"description": "Last Modified"
}
},
"required": [
"email"
]
}Create StudentPOST/v1/students
Not all fields returned in GET responses are writable with POST/PUT. The writable fields are indicated in the request body schema. counselors: Only Staff users with Counseling Advising rights can be Student Counselors
Headers
Content-Type: application/json;charset=UTF-8Body
{
"email": "mbsmith@school.edu",
"degreeLevel": "1",
"graduationDate": "2021-06-11",
"classLevel": "2",
"gpa": "3.8",
"languageProficiencies": [
"lv-ele",
"en-nat"
],
"workAuthorization": "1",
"programType": [
"3"
],
"applicantType": [
"1"
],
"address": {
"street": "123 Test St.",
"city": "Dallas",
"state": "US-TX",
"zip": 75098,
"country": "US"
}
}Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "abc123",
"label": string,
"schoolStudentId": string,
"fullName": string,
"firstName": string,
"middleName": string,
"lastName": string,
"preferredName": string,
"gender": {
"id": "abc123",
"label": "Display Label"
},
"username": string,
"email": string,
"permanentEmail": string,
"phone": string,
"birthdate": string,
"address": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"permanentAddress": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"alum": true,
"accountDisabled": true,
"accountBlocked": {
"id": "abc123",
"label": "Display Label"
},
"counselors": [
{
"id": "abc123",
"label": "Display Label",
"link": "href"
}
],
"proNetProfile": {
"id": "abc123",
"label": "Display Label",
"link": "href"
},
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"certificates": [
{
"id": "abc123",
"label": "Display Label"
}
],
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"degreeLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"gpa": string,
"workAuthorization": {
"id": "abc123",
"label": "Display Label"
},
"degrees": [
{
"primary": true,
"visualId": string,
"type": string,
"award": {
"id": "abc123",
"label": "Display Label"
},
"mode": {
"id": "abc123",
"label": "Display Label"
},
"level": {
"id": "abc123",
"label": "Display Label"
},
"classLevel": {
"id": "abc123",
"label": "Display Label"
},
"graduationDate": string,
"schools": [
{
"id": "abc123",
"label": "Display Label"
}
],
"majors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"minors": [
{
"id": "abc123",
"label": "Display Label"
}
],
"campus": [
{
"id": "abc123",
"label": "Display Label"
}
]
}
],
"programType": [
{
"id": "abc123",
"label": "Display Label"
}
],
"applicantType": [
{
"id": "abc123",
[...]
